com.jscape.util.reflection

## Class FieldFinder

- java.lang.Object
- - com.jscape.util.functor.UnaryFunction<java.lang.Class,java.lang.reflect.Field>
  - - com.jscape.util.reflection.FieldFinder

- All Implemented Interfaces:
    java.io.Serializable

      public class FieldFinder
      extends com.jscape.util.functor.UnaryFunction<java.lang.Class,java.lang.reflect.Field>

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryFunction

      `com.jscape.util.functor.UnaryFunction.Chain<T,R,U>, com.jscape.util.functor.UnaryFunction.Constant<T,U>, com.jscape.util.functor.UnaryFunction.Evaluator<V,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldFinder(com.jscape.util.functor.UnaryPredicate<? super java.lang.reflect.Field> predicate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Field` | `evaluate(java.lang.Class value)`
    `static java.lang.reflect.Field` | `find(java.lang.Class aClass, com.jscape.util.functor.UnaryPredicate<? super java.lang.reflect.Field> predicate)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.util.functor.UnaryFunction

      `constant, then`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldFinder

          public FieldFinder(com.jscape.util.functor.UnaryPredicate<? super java.lang.reflect.Field> predicate)

  - ### Method Detail

    - #### find

          public static java.lang.reflect.Field find(java.lang.Class aClass,
                                                     com.jscape.util.functor.UnaryPredicate<? super java.lang.reflect.Field> predicate)

    - #### evaluate

          public java.lang.reflect.Field evaluate(java.lang.Class value)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.UnaryFunction<java.lang.Class,java.lang.reflect.Field>`
      Parameters:
        `value` - value
      Returns:
        R instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved